tbb::interface6::concurrent_lru_cache< key_type, value_type, value_functor_type >::retrieve_aggregator_operation Struct Reference
Inheritance diagram for tbb::interface6::concurrent_lru_cache< key_type, value_type, value_functor_type >::retrieve_aggregator_operation:
Collaboration diagram for tbb::interface6::concurrent_lru_cache< key_type, value_type, value_functor_type >::retrieve_aggregator_operation:

## Public Member Functions

| retrieve_aggregator_operation (key_type key)
void | handle (self_type &container)
map_storage_type::reference | result ()
bool | is_new_value_needed ()
Public Member Functions inherited from tbb::interface6::concurrent_lru_cache< key_type, value_type, value_functor_type >::aggregator_operation
| aggregator_operation (e_op_type operation_type)
void | cast_and_handle (self_type &container)
Public Member Functions inherited from tbb::interface6::internal::aggregated_operation< Derived >
| aggregated_operation ()

## Public Attributes

key_type | my_key
map_storage_type::pointer | my_result_map_record_pointer
bool | my_is_new_value_needed
Public Attributes inherited from tbb::interface6::concurrent_lru_cache< key_type, value_type, value_functor_type >::aggregator_operation
e_op_type | my_operation_type
Public Attributes inherited from tbb::interface6::internal::aggregated_operation< Derived >
uintptr_t | status
| Zero value means "wait" status, all other values are "user" specified values and are defined into the scope of a class which uses "status". More...
Derived * | next

## Additional Inherited Members

Public Types inherited from tbb::interface6::concurrent_lru_cache< key_type, value_type, value_functor_type >::aggregator_operation
enum | e_op_type { op_retive , op_signal_end_of_usage }
Private Member Functions inherited from tbb::internal::no_assign
void | operator= (const no_assign &)=delete
| no_assign (const no_assign &)=default
| no_assign ()=default

## Detailed Description

### template<typename key_type, typename value_type, typename value_functor_type = value_type (*)(key_type)>
struct tbb::interface6::concurrent_lru_cache< key_type, value_type, value_functor_type >::retrieve_aggregator_operation

Definition at line 209 of file concurrent_lru_cache.h.

## Constructor & Destructor Documentation

## retrieve_aggregator_operation()

template<typename key_type , typename value_type , typename value_functor_type = value_type (*)(key_type)>

tbb::interface6::concurrent_lru_cache< key_type, value_type, value_functor_type >::retrieve_aggregator_operation::retrieve_aggregator_operation | ( | key_type | key | ) |

inline

Definition at line 213 of file concurrent_lru_cache.h.

:aggregator_operation(aggregator_operation::op_retive),my_key(key),my_is_new_value_needed(false){}
key
void const char const char int ITT_FORMAT __itt_group_sync x void const char ITT_FORMAT __itt_group_sync s void ITT_FORMAT __itt_group_sync p void ITT_FORMAT p void ITT_FORMAT p no args __itt_suppress_mode_t unsigned int void size_t ITT_FORMAT d void ITT_FORMAT p void ITT_FORMAT p __itt_model_site __itt_model_site_instance ITT_FORMAT p __itt_model_task __itt_model_task_instance ITT_FORMAT p void ITT_FORMAT p void ITT_FORMAT p void size_t ITT_FORMAT d void ITT_FORMAT p const wchar_t ITT_FORMAT s const char ITT_FORMAT s const char ITT_FORMAT s const char ITT_FORMAT s no args void ITT_FORMAT p size_t ITT_FORMAT d no args const wchar_t const wchar_t ITT_FORMAT s __itt_heap_function void size_t int ITT_FORMAT d __itt_heap_function void ITT_FORMAT p __itt_heap_function void void size_t int ITT_FORMAT d no args no args unsigned int ITT_FORMAT u const __itt_domain __itt_id ITT_FORMAT lu const __itt_domain __itt_id __itt_id __itt_string_handle ITT_FORMAT p const __itt_domain __itt_id ITT_FORMAT p const __itt_domain __itt_id __itt_timestamp __itt_timestamp ITT_FORMAT lu const __itt_domain __itt_id __itt_id __itt_string_handle ITT_FORMAT p const __itt_domain ITT_FORMAT p const __itt_domain __itt_string_handle unsigned long long ITT_FORMAT lu const __itt_domain __itt_string_handle unsigned long long ITT_FORMAT lu const __itt_domain __itt_id __itt_string_handle * key
Definition: ittnotify_static.h:198
tbb::interface6::concurrent_lru_cache::aggregator_operation::aggregator_operation
aggregator_operation(e_op_type operation_type)
Definition: concurrent_lru_cache.h:200
tbb::interface6::concurrent_lru_cache::aggregator_operation::op_retive
@ op_retive
Definition: concurrent_lru_cache.h:196
tbb::interface6::concurrent_lru_cache::retrieve_aggregator_operation::my_is_new_value_needed
bool my_is_new_value_needed
Definition: concurrent_lru_cache.h:212
tbb::interface6::concurrent_lru_cache::retrieve_aggregator_operation::my_key
key_type my_key
Definition: concurrent_lru_cache.h:210

## Member Function Documentation

## handle()

template<typename key_type , typename value_type , typename value_functor_type = value_type (*)(key_type)>

void tbb::interface6::concurrent_lru_cache< key_type, value_type, value_functor_type >::retrieve_aggregator_operation::handle | ( | self_type & | container | ) |

inline

Definition at line 214 of file concurrent_lru_cache.h.

{
my_result_map_record_pointer = & container.retrieve_serial(my_key,my_is_new_value_needed);
}
tbb::interface6::concurrent_lru_cache::retrieve_aggregator_operation::my_result_map_record_pointer
map_storage_type::pointer my_result_map_record_pointer
Definition: concurrent_lru_cache.h:211

References tbb::interface6::concurrent_lru_cache< key_type, value_type, value_functor_type >::retrieve_aggregator_operation::my_is_new_value_needed, tbb::interface6::concurrent_lru_cache< key_type, value_type, value_functor_type >::retrieve_aggregator_operation::my_key, tbb::interface6::concurrent_lru_cache< key_type, value_type, value_functor_type >::retrieve_aggregator_operation::my_result_map_record_pointer, and tbb::interface6::concurrent_lru_cache< key_type, value_type, value_functor_type >::retrieve_serial().

Here is the call graph for this function:

## is_new_value_needed()

template<typename key_type , typename value_type , typename value_functor_type = value_type (*)(key_type)>

bool tbb::interface6::concurrent_lru_cache< key_type, value_type, value_functor_type >::retrieve_aggregator_operation::is_new_value_needed | ( |  | ) |

inline

Definition at line 218 of file concurrent_lru_cache.h.

{return my_is_new_value_needed;}

References tbb::interface6::concurrent_lru_cache< key_type, value_type, value_functor_type >::retrieve_aggregator_operation::my_is_new_value_needed.

Referenced by tbb::interface6::concurrent_lru_cache< key_type, value_type, value_functor_type >::operator[]().

Here is the caller graph for this function:

## result()

template<typename key_type , typename value_type , typename value_functor_type = value_type (*)(key_type)>

map_storage_type::reference tbb::interface6::concurrent_lru_cache< key_type, value_type, value_functor_type >::retrieve_aggregator_operation::result | ( |  | ) |

inline

Definition at line 217 of file concurrent_lru_cache.h.

{ return * my_result_map_record_pointer; }

References tbb::interface6::concurrent_lru_cache< key_type, value_type, value_functor_type >::retrieve_aggregator_operation::my_result_map_record_pointer.

Referenced by tbb::interface6::concurrent_lru_cache< key_type, value_type, value_functor_type >::operator[]().

Here is the caller graph for this function:

## Member Data Documentation

## my_is_new_value_needed

template<typename key_type , typename value_type , typename value_functor_type = value_type (*)(key_type)>

bool tbb::interface6::concurrent_lru_cache< key_type, value_type, value_functor_type >::retrieve_aggregator_operation::my_is_new_value_needed

Definition at line 212 of file concurrent_lru_cache.h.

Referenced by tbb::interface6::concurrent_lru_cache< key_type, value_type, value_functor_type >::retrieve_aggregator_operation::handle(), and tbb::interface6::concurrent_lru_cache< key_type, value_type, value_functor_type >::retrieve_aggregator_operation::is_new_value_needed().

## my_key

template<typename key_type , typename value_type , typename value_functor_type = value_type (*)(key_type)>

key_type tbb::interface6::concurrent_lru_cache< key_type, value_type, value_functor_type >::retrieve_aggregator_operation::my_key

Definition at line 210 of file concurrent_lru_cache.h.

Referenced by tbb::interface6::concurrent_lru_cache< key_type, value_type, value_functor_type >::retrieve_aggregator_operation::handle().

## my_result_map_record_pointer

template<typename key_type , typename value_type , typename value_functor_type = value_type (*)(key_type)>

map_storage_type::pointer tbb::interface6::concurrent_lru_cache< key_type, value_type, value_functor_type >::retrieve_aggregator_operation::my_result_map_record_pointer

Definition at line 211 of file concurrent_lru_cache.h.

Referenced by tbb::interface6::concurrent_lru_cache< key_type, value_type, value_functor_type >::retrieve_aggregator_operation::handle(), and tbb::interface6::concurrent_lru_cache< key_type, value_type, value_functor_type >::retrieve_aggregator_operation::result().

The documentation for this struct was generated from the following file:

- concurrent_lru_cache.h

Copyright © 2005-2020 Intel Corporation. All Rights Reserved.

Intel, Pentium, Intel Xeon, Itanium, Intel XScale and VTune are registered trademarks or trademarks of Intel Corporation or its subsidiaries in the United States and other countries.

* Other names and brands may be claimed as the property of others.